#include<stdio.h>
#include<stdlib.h>
#include<string.h>

long long int textToLL(char* text) {
	char new_text[200];

	for (int i = strlen(text)-1; i >= 0; i--) { //La chaine doit être montée à l'envers
		char new_letter[10];
		sprintf(new_letter, "%X", (int)text[i]); //Converti la lettre en sa valeur hexa
		strcat(new_text, new_letter); //Rajoute à la suite de la séquence la lettre
	}

	return strtoll(new_text, NULL, 16); //Converti la chaine en une valeur
}


int main(int argc, char * argv[]) {
	long long int n = 32217268732456802LL;
	long long int a = textToLL("bonsoir");
	printf("%s\n", &n);
	printf("%s\n", &a);
  	return EXIT_SUCCESS;
}

